Index: /NEMO/trunk/src/OCE/DOM/dom_oce.F90
===================================================================
--- /NEMO/trunk/src/OCE/DOM/dom_oce.F90	(revision 14222)
+++ /NEMO/trunk/src/OCE/DOM/dom_oce.F90	(revision 14223)
@@ -107,6 +107,4 @@
    INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mig0       !: local ==> global domain, excluding halos (Ni0glo), i-index
    INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mjg0       !: local ==> global domain, excluding halos (Nj0glo), j-index
-   INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mig0_oldcmp !: local ==> global domain, excluding halos (Ni0glo), i-index
-   INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mjg0_oldcmp !: local ==> global domain, excluding halos (Nj0glo), j-index
    INTEGER, PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:) ::   mi0, mi1   !: global, including halos (jpiglo) ==> local domain i-index
    !                                                                !:    (mi0=1 and mi1=0 if global index not in local domain)
@@ -292,5 +290,5 @@
       !
       ii = ii+1
-      ALLOCATE( mig(jpi), mjg(jpj), mig0(jpi), mjg0(jpj), mig0_oldcmp(jpi), mjg0_oldcmp(jpj), STAT=ierr(ii) )
+      ALLOCATE( mig(jpi), mjg(jpj), mig0(jpi), mjg0(jpj), STAT=ierr(ii) )
          !
       ii = ii+1
Index: /NEMO/trunk/src/OCE/DOM/domain.F90
===================================================================
--- /NEMO/trunk/src/OCE/DOM/domain.F90	(revision 14222)
+++ /NEMO/trunk/src/OCE/DOM/domain.F90	(revision 14223)
@@ -283,10 +283,4 @@
       mig0(:) = mig(:) - nn_hls
       mjg0(:) = mjg(:) - nn_hls
-      ! WARNING: to keep compatibility with the trunk that was including periodocity into the input data,
-      ! we must define mig0 and mjg0 as bellow.
-      ! Once we decide to forget trunk compatibility, we must simply define mig0 and mjg0 as:
-      mig0_oldcmp(:) = mig0(:) + COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
-      mjg0_oldcmp(:) = mjg0(:) + COUNT( (/ jperio == 2 .OR. jperio == 7 /) )
-      !
       !                              ! global domain, including halos, indices ==> local domain indices
       !                                   ! (return (m.0,m.1)=(1,0) if data domain gridpoint is to the west/south of the
Index: /NEMO/trunk/src/OCE/USR/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/src/OCE/USR/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/src/OCE/USR/usrdef_hgr.F90	(revision 14223)
@@ -115,7 +115,7 @@
       ENDIF
       !   
-      DO_2D( 1, 1, 1, 1 )
-         zim1 = REAL( mig0_oldcmp(ji), wp ) - 1.   ;   zim05 = REAL( mig0_oldcmp(ji), wp ) - 1.5
-         zjm1 = REAL( mjg0_oldcmp(jj), wp ) - 1.   ;   zjm05 = REAL( mjg0_oldcmp(jj), wp ) - 1.5
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         zim1 = REAL( mig0(ji), wp ) - 1.   ;   zim05 = REAL( mig0(ji), wp ) - 1.5
+         zjm1 = REAL( mjg0(jj), wp ) - 1.   ;   zjm05 = REAL( mjg0(jj), wp ) - 1.5
          !   
          !glamt(i,j) longitude at T-point
Index: /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -74,8 +74,8 @@
       ! Position coordinates (in grid points)
       !                          ==========
-      DO_2D( 1, 1, 1, 1 )
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
          
-         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+         zti = REAL( mig0(ji), wp ) - 0.5_wp  ! start at i=0.5 in the global grid without halos
+         ztj = REAL( mjg0(jj), wp ) - 0.5_wp  ! start at j=0.5 in the global grid without halos
          
          plamt(ji,jj) = zti
Index: /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_istate.F90
===================================================================
--- /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_istate.F90	(revision 14222)
+++ /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_istate.F90	(revision 14223)
@@ -53,10 +53,8 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk)     , INTENT(  out) ::   pu      ! i-component of the velocity  [m/s] 
       REAL(wp), DIMENSION(jpi,jpj,jpk)     , INTENT(  out) ::   pv      ! j-component of the velocity  [m/s] 
-!!st      REAL(wp), DIMENSION(jpi,jpj)         , INTENT(  out) ::   pssh    ! sea-surface height
       !
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D workspace
       REAL(wp) ::   zfact
       INTEGER  ::   ji, jj, jk
-      INTEGER  ::   igloi, igloj   ! to be removed in the future, see comment bellow
       !!----------------------------------------------------------------------
       !
@@ -67,25 +65,14 @@
       ! define unique value on each point of the inner global domain. z2d ranging from 0.05 to -0.05
       !
-      ! WARNING: to keep compatibility with the trunk that was including periodocity into the input data, 
-      ! we must define z2d as bellow.
-      ! Once we decide to forget trunk compatibility, we must simply define z2d as:
-!!$      DO_2D( 0, 0, 0, 0 )
-!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
-!!$      END_2D
-      igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
-      igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
-      DO_2D( 0, 0, 0, 0 )
-         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
+      DO_2D( 0, 0, 0, 0 )   !  +/- 0.05
+         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
       END_2D
-      !
-      ! sea level:
-!!st      pssh(:,:) = z2d(:,:)                                                ! +/- 0.05 m
       !
       DO_3D( 0, 0, 0, 0, 1, jpkm1 )
          zfact = REAL(jk-1,wp) / REAL(jpk-1,wp)   ! 0 to 1 to add a basic stratification
          ! temperature choosen to lead to ~50% ice at the beginning if rn_thres_sst = 0.5
-         pts(:,:,jk,jp_tem) = 20._wp*z2d(:,:) - 1._wp - 0.5_wp * zfact    ! -1 to -1.5 +/-1.0 degG
+         pts(:,:,jk,jp_tem) = 20._wp*z2d(:,:) - 1._wp - 0.5_wp * zfact    ! -1 to -1.5 +/- 1.0 degG
          ! salinity:  
-         pts(:,:,jk,jp_sal) = 30._wp + 1._wp * zfact + z2d(:,:)           ! 30 to 31 +/- 0.05 psu
+         pts(:,:,jk,jp_sal) = 30._wp + 1._wp * zfact + z2d(:,:)           ! 30 to 31   +/- 0.05 psu
          ! velocities:
          pu(:,:,jk) = z2d(:,:) *  0.1_wp * umask(:,:,jk)                  ! +/- 0.005  m/s
@@ -96,5 +83,4 @@
       pv( :,:,jpk  ) = 0._wp
       !
-!!st      CALL lbc_lnk('usrdef_istate', pssh, 'T',  1. )            ! apply boundary conditions
       CALL lbc_lnk('usrdef_istate',  pts, 'T',  1. )            ! apply boundary conditions
       CALL lbc_lnk('usrdef_istate',   pu, 'U', -1. )            ! apply boundary conditions
@@ -117,5 +103,4 @@
       !
       INTEGER  ::   ji, jj
-      INTEGER  ::   igloi, igloj   ! to be removed in the future, see usr_def_istate comment 
       !!----------------------------------------------------------------------
       !
@@ -123,12 +108,9 @@
       IF(lwp) WRITE(numout,*) 'usr_def_istate_ssh : BENCH configuration, analytical definition of initial ssh'
       !
-      igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
-      igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
-      ! sea level:  +/- 0.05 m
-      DO_2D( 0, 0, 0, 0 )
-         pssh(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
+      DO_2D( 0, 0, 0, 0 )                              ! sea level:  +/- 0.05 m
+         pssh(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
       END_2D
       !
-      CALL lbc_lnk('usrdef_istate', pssh, 'T',  1. )            ! apply boundary conditions
+      CALL lbc_lnk('usrdef_istate', pssh, 'T',  1. )   ! apply boundary conditions
       !
    END SUBROUTINE usr_def_istate_ssh
Index: /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_sbc.F90
===================================================================
--- /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_sbc.F90	(revision 14222)
+++ /NEMO/trunk/tests/BENCH/MY_SRC/usrdef_sbc.F90	(revision 14223)
@@ -99,5 +99,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D workspace
       INTEGER  ::   ji, jj
-      INTEGER  ::   igloi, igloj   ! to be removed in the future, see comment bellow
       !!---------------------------------------------------------------------
 #if defined key_si3
@@ -106,14 +105,6 @@
       ! define unique value on each point. z2d ranging from 0.05 to -0.05
       !
-      ! WARNING: to keep compatibility with the trunk that was including periodocity into the input data, 
-      ! we must define z2d as bellow.
-      ! Once we decide to forget trunk compatibility, we must simply define z2d as:
-!!$      DO_2D( 0, 0, 0, 0 )
-!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
-!!$      END_2D
-      igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
-      igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
       DO_2D( 0, 0, 0, 0 )
-         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
+         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0(ji) + (mjg0(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
       END_2D
       utau_ice(:,:) = 0.1_wp + z2d(:,:)
Index: /NEMO/trunk/tests/CANAL/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/CANAL/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/CANAL/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -77,6 +77,6 @@
       ! Position coordinates (in kilometers)
       !                          ==========
-      zlam0 = -REAL(NINT(Ni0glo*rn_0xratio)-1, wp) * rn_dx
-      zphi0 = -REAL(NINT(Nj0glo*rn_0yratio)-1, wp) * rn_dy 
+      zlam0 = -REAL(Ni0glo, wp) * rn_0xratio * rn_dx
+      zphi0 = -REAL(Nj0glo, wp) * rn_0yratio * rn_dy
 
 #if defined key_agrif
@@ -90,7 +90,7 @@
 #endif
          
-      DO_2D( 1, 1, 1, 1 )         
-         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )         
+         zti = REAL( mig0(ji), wp ) - 0.5_wp  ! start at i=0.5 in the global grid without halos
+         ztj = REAL( mjg0(jj), wp ) - 0.5_wp  ! start at j=0.5 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx *   zti
Index: /NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/ICE_ADV1D/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -75,10 +75,10 @@
 
       !                          ==========
-      zlam0 = -REAL( (Ni0glo-2)/2, wp) * 1.e-3 * rn_dx
-      zphi0 = -REAL( (Nj0glo-2)/2, wp) * 1.e-3 * rn_dy
+      zlam0 = -REAL(Ni0glo, wp) * 0.5 * 1.e-3 * rn_dx
+      zphi0 = -REAL(Nj0glo, wp) * 0.5 * 1.e-3 * rn_dy
 
-      DO_2D( 1, 1, 1, 1 )
-         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         zti = REAL( mig0(ji), wp ) - 0.5_wp  ! start at i=0.5 in the global grid without halos
+         ztj = REAL( mjg0(jj), wp ) - 0.5_wp  ! start at j=0.5 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: /NEMO/trunk/tests/ICE_ADV2D/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/ICE_ADV2D/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/ICE_ADV2D/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -76,6 +76,6 @@
 
       !                          ==========
-      zlam0 = -REAL( (Ni0glo-2)/2, wp) * 1.e-3 * rn_dx
-      zphi0 = -REAL( (Nj0glo-2)/2, wp) * 1.e-3 * rn_dy 
+      zlam0 = -REAL(Ni0glo, wp) * 0.5 * 1.e-3 * rn_dx
+      zphi0 = -REAL(Nj0glo, wp) * 0.5 * 1.e-3 * rn_dy
 
 #if defined key_agrif 
@@ -90,7 +90,7 @@
 #endif         
 
-      DO_2D( 1, 1, 1, 1 )
-         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         zti = REAL( mig0(ji), wp ) - 0.5_wp  ! start at i=0.5 in the global grid without halos
+         ztj = REAL( mjg0(jj), wp ) - 0.5_wp  ! start at j=0.5 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: /NEMO/trunk/tests/ICE_AGRIF/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/ICE_AGRIF/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -79,9 +79,6 @@
       IF( Agrif_Root() ) THEN
 #endif
-         ! Compatibility WITH old version: 
-         ! jperio = 7 =>  Ni0glo = jpigo_old_version - 2
-         !            =>  jpiglo-1 replaced by Ni0glo+1
-         zlam0 = -REAL( (Ni0glo+1)/2, wp) * 1.e-3 * rn_dx
-         zphi0 = -REAL( (Nj0glo+1)/2, wp) * 1.e-3 * rn_dy   ! +1 for compatibility with old version --> to be replaced by -1 as before
+         zlam0 = -REAL(Ni0glo, wp) * 0.5 * 1.e-3 * rn_dx
+         zphi0 = -REAL(Nj0glo, wp) * 0.5 * 1.e-3 * rn_dy
 #if defined key_agrif 
       ELSE
@@ -89,18 +86,15 @@
 !clem         zlam0  = Agrif_Parent(zlam0) + (Agrif_ix())*Agrif_Parent(rn_dx) * 1.e-5
 !clem         zphi0  = Agrif_Parent(zphi0) + (Agrif_iy())*Agrif_Parent(rn_dy) * 1.e-5
-         ! Compatibility WITH old version: 
-         ! jperio = 0 =>  Ni0glo = jpigo_old_version
-         !            =>  Agrif_parent(jpiglo)-1 replaced by  Agrif_parent(Ni0glo)-1
-         zlam0 = ( 0.5_wp - REAL( ( Agrif_parent(Ni0glo)-1 ) / 2, wp) ) * 1.e-3 * Agrif_irhox() * rn_dx  &
+         zlam0 = ( 0.5_wp - REAL(Ni0glo, wp) * 0.5 ) * 1.e-3 * Agrif_irhox() * rn_dx  &
             &  + ( Agrif_Ix() + nbghostcells - 1 ) * Agrif_irhox() * rn_dx * 1.e-3 - ( 0.5_wp + nbghostcells ) * rn_dx * 1.e-3
-         zphi0 = ( 0.5_wp - REAL( ( Agrif_parent(Nj0glo)-1 ) / 2, wp) ) * 1.e-3 * Agrif_irhoy() * rn_dy  &
+         zphi0 = ( 0.5_wp - REAL(Nj0glo, wp) * 0.5 ) * 1.e-3 * Agrif_irhoy() * rn_dy  &
             &  + ( Agrif_Iy() + nbghostcells - 1 ) * Agrif_irhoy() * rn_dy * 1.e-3 - ( 0.5_wp + nbghostcells ) * rn_dy * 1.e-3
       ENDIF
 #endif         
 
-      DO_2D( 1, 1, 1, 1 )
-         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
-         
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         zti = REAL( mig0(ji), wp ) - 0.5_wp  ! start at i=0.5 in the global grid without halos
+         ztj = REAL( mjg0(jj), wp ) - 0.5_wp  ! start at j=0.5 in the global grid without halos
+          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
          plamu(ji,jj) = zlam0 + rn_dx * 1.e-3 * ( zti + 0.5_wp )
Index: /NEMO/trunk/tests/ICE_AGRIF/MY_SRC/usrdef_nam.F90
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/MY_SRC/usrdef_nam.F90	(revision 14222)
+++ /NEMO/trunk/tests/ICE_AGRIF/MY_SRC/usrdef_nam.F90	(revision 14223)
@@ -83,8 +83,6 @@
       !
       IF( Agrif_Root() ) THEN        ! Global Domain size:  ICE_AGRIF domain is  300 km x 300 Km x 10 m
-         kpi = NINT( 300.e3 / rn_dx ) - 1
-         kpj = NINT( 300.e3 / rn_dy ) - 1
-         kpi = kpi - 2   ! for compatibility with old version (because kerio=7) --> to be removed
-         kpj = kpj - 2   ! for compatibility with old version (because kerio=7) --> to be removed
+         kpi = NINT( 300.e3 / rn_dx ) - 3 
+         kpj = NINT( 300.e3 / rn_dy ) - 3
       ELSE                           ! Global Domain size: add nbghostcells + 1 "land" point on each side
          kpi  = nbcellsx + 2 * ( nbghostcells + 1 )
Index: /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -77,19 +77,19 @@
       !
       !                       !==  grid point position  ==!   (in degrees)
-      DO_2D( 1, 1, 1, 1 )
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
          !                       ! longitude   (west coast at lon=0°)
-         plamt(ji,jj) = rn_e1deg * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
-         plamu(ji,jj) = rn_e1deg * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
+         plamt(ji,jj) = rn_e1deg * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
+         plamu(ji,jj) = rn_e1deg * (          REAL( mig0(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
-         !                       ! latitude   (south coast at lat= 81°)
-         pphit(ji,jj) = rn_e2deg * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  ) - 80._wp
+         !                       ! latitude   (south coast at lat=-80°)
+         pphit(ji,jj) = rn_e2deg * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  ) - 80._wp
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = rn_e2deg * (          REAL( mjg0_oldcmp(jj)-1 , wp )  ) - 80_wp
+         pphiv(ji,jj) = rn_e2deg * (          REAL( mjg0(jj)-1 , wp )  ) - 80._wp
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D
       !
       !                       !==  Horizontal scale factors  ==!   (in meters)
-      DO_2D( 1, 1, 1, 1 )
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
          !                       ! e1   (zonal)
          pe1t(ji,jj) = ra * rad * COS( rad * pphit(ji,jj) ) * rn_e1deg
Index: /NEMO/trunk/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -74,14 +74,14 @@
       !                       !==  grid point position  ==!   (in kilometers)
       zfact = rn_dx * 1.e-3         ! conversion in km
-      DO_2D( 1, 1, 1, 1 )
-         !                       ! longitude
-         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
-         plamu(ji,jj) = zfact * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         !                       ! longitude   (west coast at lon=0°)
+         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
+         plamu(ji,jj) = zfact * (          REAL( mig0(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
-         !                       ! latitude
-         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  )
+         !                       ! latitude   (south coast at lat= 0°)
+         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  )
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = zfact * (          REAL( mjg0_oldcmp(jj)-1 , wp )  )
+         pphiv(ji,jj) = zfact * (          REAL( mjg0(jj)-1 , wp )  )
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D
Index: /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -74,14 +74,14 @@
       !                       !==  grid point position  ==!   (in kilometers)
       zfact = rn_dx * 1.e-3         ! conversion in km
-      DO_2D( 1, 1, 1, 1 )
-         !                       ! longitude
-         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
-         plamu(ji,jj) = zfact * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         !                       ! longitude   (west coast at lon=0°)
+         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
+         plamu(ji,jj) = zfact * (          REAL( mig0(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
-         !                       ! latitude
-         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  )
+         !                       ! latitude   (south coast at lat= 0°)
+         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  )
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = zfact * (          REAL( mjg0_oldcmp(jj)-1 , wp )  )
+         pphiv(ji,jj) = zfact * (          REAL( mjg0(jj)-1 , wp )  )
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D
Index: /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/VORTEX/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -80,25 +80,19 @@
       IF( Agrif_Root() ) THEN
 #endif
-         ! Compatibility WITH old version: 
-         ! jperio = 0 =>  Ni0glo = jpigo_old_version
-         !            =>  jpiglo-1 replaced by Ni0glo-1
-         zlam0 = -REAL( (Ni0glo-1)/2, wp) * 1.e-3 * rn_dx
-         zphi0 = -REAL( (Nj0glo-1)/2, wp) * 1.e-3 * rn_dy 
+         zlam0 = -REAL(Ni0glo, wp) * 0.5 * 1.e-3 * rn_dx
+         zphi0 = -REAL(Nj0glo, wp) * 0.5 * 1.e-3 * rn_dy
 #if defined key_agrif
       ELSE
          ! ! let lower left longitude and latitude from parent
-         ! Compatibility WITH old version: 
-         ! jperio = 0 =>  Ni0glo = jpigo_old_version
-         !            =>  Agrif_parent(jpiglo)-1 replaced by  Agrif_parent(Ni0glo)-1
-         zlam0 = ( 0.5_wp - REAL( ( Agrif_parent(Ni0glo)-1 ) / 2, wp) ) * 1.e-3 * Agrif_irhox() * rn_dx  &
+         zlam0 = ( 0.5_wp - REAL(Ni0glo, wp) * 0.5 ) * 1.e-3 * Agrif_irhox() * rn_dx  &
             &  + ( Agrif_Ix() + nbghostcells - 1 ) * Agrif_irhox() * rn_dx * 1.e-3 - ( 0.5_wp + nbghostcells ) * rn_dx * 1.e-3
-         zphi0 = ( 0.5_wp - REAL( ( Agrif_parent(Nj0glo)-1 ) / 2, wp) ) * 1.e-3 * Agrif_irhoy() * rn_dy  &
+         zphi0 = ( 0.5_wp - REAL(Nj0glo, wp) * 0.5 ) * 1.e-3 * Agrif_irhoy() * rn_dy  &
             &  + ( Agrif_Iy() + nbghostcells - 1 ) * Agrif_irhoy() * rn_dy * 1.e-3 - ( 0.5_wp + nbghostcells ) * rn_dy * 1.e-3
       ENDIF 
 #endif
          
-      DO_2D( 1, 1, 1, 1 )
-         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
-         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         zti = REAL( mig0(ji), wp ) - 0.5_wp  ! start at i=0.5 in the global grid without halos
+         ztj = REAL( mjg0(jj), wp ) - 0.5_wp  ! start at j=0.5 in the global grid without halos
          
          plamt(ji,jj) = zlam0 + rn_dx * 1.e-3 *   zti
Index: /NEMO/trunk/tests/WAD/MY_SRC/usrdef_hgr.F90
===================================================================
--- /NEMO/trunk/tests/WAD/MY_SRC/usrdef_hgr.F90	(revision 14222)
+++ /NEMO/trunk/tests/WAD/MY_SRC/usrdef_hgr.F90	(revision 14223)
@@ -74,14 +74,14 @@
       !                       !==  grid point position  ==!   (in kilometers)
       zfact = rn_dx * 1.e-3         ! conversion in km
-      DO_2D( 1, 1, 1, 1 )
-         !                       ! longitude
-         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0_oldcmp(ji)-1 , wp )  )  
-         plamu(ji,jj) = zfact * (          REAL( mig0_oldcmp(ji)-1 , wp )  )
+      DO_2D( nn_hls, nn_hls, nn_hls, nn_hls )
+         !                       ! longitude   (west coast at lon=0°)
+         plamt(ji,jj) = zfact * (  - 0.5 + REAL( mig0(ji)-1 , wp )  )  
+         plamu(ji,jj) = zfact * (          REAL( mig0(ji)-1 , wp )  )
          plamv(ji,jj) = plamt(ji,jj)
          plamf(ji,jj) = plamu(ji,jj)
-         !                       ! latitude
-         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0_oldcmp(jj)-1 , wp )  )
+         !                       ! latitude   (south coast at lat= 0°)
+         pphit(ji,jj) = zfact * (  - 0.5 + REAL( mjg0(jj)-1 , wp )  )
          pphiu(ji,jj) = pphit(ji,jj)
-         pphiv(ji,jj) = zfact * (          REAL( mjg0_oldcmp(jj)-1 , wp )  )
+         pphiv(ji,jj) = zfact * (          REAL( mjg0(jj)-1 , wp )  )
          pphif(ji,jj) = pphiv(ji,jj)
       END_2D