Index: /NEMO/trunk/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14226)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14227)
@@ -220,5 +220,5 @@
    nn_components = 0       !  configuration of the opa-sas OASIS coupling
       !                    !  =0 no opa-sas OASIS coupling: default single executable config.
-      !                    !  =1 opa-sas OASIS coupling: multi executable config., OPA component
+      !                    !  =1 opa-sas OASIS coupling: multi executable config., OCE component
       !                    !  =2 opa-sas OASIS coupling: multi executable config., SAS component
                      ! Sea-ice :
Index: /NEMO/trunk/src/NST/agrif_oce_interp.F90
===================================================================
--- /NEMO/trunk/src/NST/agrif_oce_interp.F90	(revision 14226)
+++ /NEMO/trunk/src/NST/agrif_oce_interp.F90	(revision 14227)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                   ***  MODULE  agrif_oce_interp  ***
-   !! AGRIF: interpolation package for the ocean dynamics (OPA)
+   !! AGRIF: interpolation package for the ocean dynamics (OCE)
    !!======================================================================
    !! History :  2.0  !  2002-06  (L. Debreu)  Original cade
Index: /NEMO/trunk/src/NST/agrif_oce_sponge.F90
===================================================================
--- /NEMO/trunk/src/NST/agrif_oce_sponge.F90	(revision 14226)
+++ /NEMO/trunk/src/NST/agrif_oce_sponge.F90	(revision 14227)
@@ -4,5 +4,5 @@
    !!======================================================================
    !!                   ***  MODULE  agrif_oce_interp  ***
-   !! AGRIF: sponge package for the ocean dynamics (OPA)
+   !! AGRIF: sponge package for the ocean dynamics (OCE)
    !!======================================================================
    !! History :  2.0  !  2002-06  (XXX)  Original cade
Index: /NEMO/trunk/src/NST/agrif_oce_update.F90
===================================================================
--- /NEMO/trunk/src/NST/agrif_oce_update.F90	(revision 14226)
+++ /NEMO/trunk/src/NST/agrif_oce_update.F90	(revision 14227)
@@ -6,5 +6,5 @@
    !!======================================================================
    !!                   ***  MODULE  agrif_oce_interp  ***
-   !! AGRIF: update package for the ocean dynamics (OPA)
+   !! AGRIF: update package for the ocean dynamics (OCE)
    !!======================================================================
    !! History :  2.0  !  2002-06  (L. Debreu)  Original code
Index: /NEMO/trunk/src/OCE/C1D/step_c1d.F90
===================================================================
--- /NEMO/trunk/src/OCE/C1D/step_c1d.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/C1D/step_c1d.F90	(revision 14227)
@@ -41,5 +41,5 @@
       !!
       !! ** Purpose :  - Time stepping of SBC including sea ice (dynamic and thermodynamic eqs.)
-      !!               - Time stepping of OPA (momentum and active tracer eqs.)
+      !!               - Time stepping of OCE (momentum and active tracer eqs.)
       !!               - Time stepping of TOP (passive tracer eqs.)
       !!
Index: /NEMO/trunk/src/OCE/DYN/dynhpg.F90
===================================================================
--- /NEMO/trunk/src/OCE/DYN/dynhpg.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/DYN/dynhpg.F90	(revision 14227)
@@ -419,5 +419,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'dyn:hpg_sco : hydrostatic pressure gradient trend'
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate case, OPA original scheme used'
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   s-coordinate case, OCE original scheme used'
       ENDIF
       !
Index: /NEMO/trunk/src/OCE/SBC/cpl_oasis3.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/cpl_oasis3.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/SBC/cpl_oasis3.F90	(revision 14227)
@@ -115,5 +115,5 @@
 
       !------------------------------------------------------------------
-      ! 3rd Get an MPI communicator for OPA local communication
+      ! 3rd Get an MPI communicator for OCE local communication
       !------------------------------------------------------------------
 
Index: /NEMO/trunk/src/OCE/SBC/sbc_oce.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbc_oce.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/SBC/sbc_oce.F90	(revision 14227)
@@ -87,5 +87,5 @@
    INTEGER , PUBLIC, PARAMETER ::   jp_abl     = 4        !: Atmospheric boundary layer    formulation
    INTEGER , PUBLIC, PARAMETER ::   jp_purecpl = 5        !: Pure ocean-atmosphere Coupled formulation
-   INTEGER , PUBLIC, PARAMETER ::   jp_none    = 6        !: for OPA when doing coupling via SAS module
+   INTEGER , PUBLIC, PARAMETER ::   jp_none    = 6        !: for OCE when doing coupling via SAS module
    !
    !!----------------------------------------------------------------------
@@ -94,5 +94,5 @@
    INTEGER , PUBLIC, PARAMETER ::   jp_iam_nemo = 0      !: Initial single executable configuration
    !  (no internal OASIS coupling)
-   INTEGER , PUBLIC, PARAMETER ::   jp_iam_opa  = 1      !: Multi executable configuration - OPA component
+   INTEGER , PUBLIC, PARAMETER ::   jp_iam_oce  = 1      !: Multi executable configuration - OCE component
    !  (internal OASIS coupling)
    INTEGER , PUBLIC, PARAMETER ::   jp_iam_sas  = 2      !: Multi executable configuration - SAS component
Index: /NEMO/trunk/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/SBC/sbccpl.F90	(revision 14227)
@@ -157,5 +157,5 @@
    INTEGER, PARAMETER ::   jps_rnf    = 24   ! runoffs
    INTEGER, PARAMETER ::   jps_taum   = 25   ! wind stress module
-   INTEGER, PARAMETER ::   jps_fice2  = 26   ! ice fraction sent to OPA (by SAS when doing SAS-OPA coupling)
+   INTEGER, PARAMETER ::   jps_fice2  = 26   ! ice fraction sent to OCE (by SAS when doing SAS-OCE coupling)
    INTEGER, PARAMETER ::   jps_e3t1st = 27   ! first level depth (vvl)
    INTEGER, PARAMETER ::   jps_fraqsr = 28   ! fraction of solar net radiation absorbed in the first ocean level
@@ -706,10 +706,10 @@
       !
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - rcv by opa !
+      !                                                      !   OCE-SAS coupling - rcv by opa !
       !                                                      ! ------------------------------- !
       srcv(jpr_sflx)%clname = 'O_SFLX'
       srcv(jpr_fice)%clname = 'RIceFrc'
       !
-      IF( nn_components == jp_iam_opa ) THEN    ! OPA coupled to SAS via OASIS: force received field by OPA (sent by SAS)
+      IF( nn_components == jp_iam_oce ) THEN    ! OCE coupled to SAS via OASIS: force received field by OCE (sent by SAS)
          srcv(:)%laction = .FALSE.   ! force default definition in case of opa <-> sas coupling
          srcv(:)%clgrid  = 'T'       ! force default definition in case of opa <-> sas coupling
@@ -727,6 +727,6 @@
          IF(lwp) THEN                        ! control print
             WRITE(numout,*)
-            WRITE(numout,*)'               Special conditions for SAS-OPA coupling  '
-            WRITE(numout,*)'               OPA component  '
+            WRITE(numout,*)'               Special conditions for SAS-OCE coupling  '
+            WRITE(numout,*)'               OCE component  '
             WRITE(numout,*)
             WRITE(numout,*)'  received fields from SAS component '
@@ -742,5 +742,5 @@
       ENDIF
       !                                                      ! -------------------------------- !
-      !                                                      !   OPA-SAS coupling - rcv by sas  !
+      !                                                      !   OCE-SAS coupling - rcv by sas  !
       !                                                      ! -------------------------------- !
       srcv(jpr_toce  )%clname = 'I_SSTSST'
@@ -762,7 +762,7 @@
          ! Vectors: change of sign at north fold ONLY if on the local grid
          srcv(jpr_ocx1:jpr_ocy1)%nsgn = -1.
-         ! Change first letter to couple with atmosphere if already coupled OPA
+         ! Change first letter to couple with atmosphere if already coupled OCE
          ! this is nedeed as each variable name used in the namcouple must be unique:
-         ! for example O_Runoff received by OPA from SAS and therefore S_Runoff received by SAS from the Atmosphere
+         ! for example O_Runoff received by OCE from SAS and therefore S_Runoff received by SAS from the Atmosphere
          DO jn = 1, jprcv
             IF( srcv(jn)%clname(1:1) == "O" ) srcv(jn)%clname = "S"//srcv(jn)%clname(2:LEN(srcv(jn)%clname))
@@ -771,11 +771,11 @@
          IF(lwp) THEN                        ! control print
             WRITE(numout,*)
-            WRITE(numout,*)'               Special conditions for SAS-OPA coupling  '
+            WRITE(numout,*)'               Special conditions for SAS-OCE coupling  '
             WRITE(numout,*)'               SAS component  '
             WRITE(numout,*)
             IF( .NOT. ln_cpl ) THEN
-               WRITE(numout,*)'  received fields from OPA component '
+               WRITE(numout,*)'  received fields from OCE component '
             ELSE
-               WRITE(numout,*)'  Additional received fields from OPA component : '
+               WRITE(numout,*)'  Additional received fields from OCE component : '
             ENDIF
             WRITE(numout,*)'               sea surface temperature (Celsius) '
@@ -1028,5 +1028,5 @@
 
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - snd by opa !
+      !                                                      !   OCE-SAS coupling - snd by opa !
       !                                                      ! ------------------------------- !
       ssnd(jps_ssh   )%clname = 'O_SSHght'
@@ -1035,5 +1035,5 @@
       ssnd(jps_fraqsr)%clname = 'O_FraQsr'
       !
-      IF( nn_components == jp_iam_opa ) THEN
+      IF( nn_components == jp_iam_oce ) THEN
          ssnd(:)%laction = .FALSE.   ! force default definition in case of opa <-> sas coupling
          ssnd( (/jps_toce, jps_soce, jps_ssh, jps_fraqsr, jps_ocx1, jps_ocy1/) )%laction = .TRUE.
@@ -1059,5 +1059,5 @@
       ENDIF
       !                                                      ! ------------------------------- !
-      !                                                      !   OPA-SAS coupling - snd by sas !
+      !                                                      !   OCE-SAS coupling - snd by sas !
       !                                                      ! ------------------------------- !
       ssnd(jps_sflx  )%clname = 'I_SFLX'
@@ -1077,5 +1077,5 @@
          ! Change first letter to couple with atmosphere if already coupled with sea_ice
          ! this is nedeed as each variable name used in the namcouple must be unique:
-         ! for example O_SSTSST sent by OPA to SAS and therefore S_SSTSST sent by SAS to the Atmosphere
+         ! for example O_SSTSST sent by OCE to SAS and therefore S_SSTSST sent by SAS to the Atmosphere
          DO jn = 1, jpsnd
             IF( ssnd(jn)%clname(1:1) == "O" ) ssnd(jn)%clname = "S"//ssnd(jn)%clname(2:LEN(ssnd(jn)%clname))
@@ -1085,7 +1085,7 @@
             WRITE(numout,*)
             IF( .NOT. ln_cpl ) THEN
-               WRITE(numout,*)'  sent fields to OPA component '
+               WRITE(numout,*)'  sent fields to OCE component '
             ELSE
-               WRITE(numout,*)'  Additional sent fields to OPA component : '
+               WRITE(numout,*)'  Additional sent fields to OCE component : '
             ENDIF
             WRITE(numout,*)'                  ice cover '
@@ -1525,5 +1525,5 @@
          ENDIF
          ! update qns over the free ocean with:
-         IF( nn_components /= jp_iam_opa ) THEN
+         IF( nn_components /= jp_iam_oce ) THEN
             zqns(:,:) =  zqns(:,:) - zemp(:,:) * sst_m(:,:) * rcp         ! remove heat content due to mass flux (assumed to be at SST)
             IF( srcv(jpr_snow  )%laction ) THEN
@@ -2275,5 +2275,5 @@
       IF( ssnd(jps_toce)%laction .OR. ssnd(jps_tice)%laction .OR. ssnd(jps_tmix)%laction ) THEN
 
-         IF( nn_components == jp_iam_opa ) THEN
+         IF( nn_components == jp_iam_oce ) THEN
             ztmp1(:,:) = ts(:,:,1,jp_tem,Kmm)   ! send temperature as it is (potential or conservative) -> use of l_useCT on the received part
          ELSE
@@ -2427,5 +2427,5 @@
       ENDIF
 
-      ! Send ice fraction field to OPA (sent by SAS in SAS-OPA coupling)
+      ! Send ice fraction field to OCE (sent by SAS in SAS-OCE coupling)
       IF( ssnd(jps_fice2)%laction ) THEN
          ztmp3(:,:,1) = fr_i(:,:)
@@ -2543,5 +2543,5 @@
          !                                                              i-1  i   i
          !                                                               i      i+1 (for I)
-         IF( nn_components == jp_iam_opa ) THEN
+         IF( nn_components == jp_iam_oce ) THEN
             zotx1(:,:) = uu(:,:,1,Kmm)
             zoty1(:,:) = vv(:,:,1,Kmm)
@@ -2700,5 +2700,5 @@
       ENDIF
       !
-      !  Fields sent by OPA to SAS when doing OPA<->SAS coupling
+      !  Fields sent by OCE to SAS when doing OCE<->SAS coupling
       !                                                        ! SSH
       IF( ssnd(jps_ssh )%laction )  THEN
@@ -2724,5 +2724,5 @@
       ENDIF
       !
-      !  Fields sent by SAS to OPA when OASIS coupling
+      !  Fields sent by SAS to OCE when OASIS coupling
       !                                                        ! Solar heat flux
       IF( ssnd(jps_qsroce)%laction )  CALL cpl_snd( jps_qsroce, isec, RESHAPE ( qsr , (/jpi,jpj,1/) ), info )
Index: /NEMO/trunk/src/OCE/SBC/sbcmod.F90
===================================================================
--- /NEMO/trunk/src/OCE/SBC/sbcmod.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/SBC/sbcmod.F90	(revision 14227)
@@ -163,17 +163,17 @@
       !                       !**  check option consistency
       !
-      IF(lwp) WRITE(numout,*)       !* Single / Multi - executable (NEMO / OPA+SAS)
+      IF(lwp) WRITE(numout,*)       !* Single / Multi - executable (NEMO / OCE+SAS)
       SELECT CASE( nn_components )
       CASE( jp_iam_nemo )
-         IF(lwp) WRITE(numout,*) '   ==>>>   NEMO configured as a single executable (i.e. including both OPA and Surface module)'
-      CASE( jp_iam_opa  )
-         IF(lwp) WRITE(numout,*) '   ==>>>   Multi executable configuration. Here, OPA component'
-         IF( .NOT.lk_oasis )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but key_oasis3 disabled' )
-         IF( ln_cpl        )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but ln_cpl = T in OPA'   )
-         IF( ln_mixcpl     )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but ln_mixcpl = T in OPA' )
+         IF(lwp) WRITE(numout,*) '   ==>>>   NEMO configured as a single executable (i.e. including both OCE and Surface module)'
+      CASE( jp_iam_oce  )
+         IF(lwp) WRITE(numout,*) '   ==>>>   Multi executable configuration. Here, OCE component'
+         IF( .NOT.lk_oasis )   CALL ctl_stop( 'sbc_init : OCE-SAS coupled via OASIS, but key_oasis3 disabled' )
+         IF( ln_cpl        )   CALL ctl_stop( 'sbc_init : OCE-SAS coupled via OASIS, but ln_cpl = T in OCE'   )
+         IF( ln_mixcpl     )   CALL ctl_stop( 'sbc_init : OCE-SAS coupled via OASIS, but ln_mixcpl = T in OCE' )
       CASE( jp_iam_sas  )
          IF(lwp) WRITE(numout,*) '   ==>>>   Multi executable configuration. Here, SAS component'
-         IF( .NOT.lk_oasis )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but key_oasis3 disabled' )
-         IF( ln_mixcpl     )   CALL ctl_stop( 'sbc_init : OPA-SAS coupled via OASIS, but ln_mixcpl = T in OPA' )
+         IF( .NOT.lk_oasis )   CALL ctl_stop( 'sbc_init : OCE-SAS coupled via OASIS, but key_oasis3 disabled' )
+         IF( ln_mixcpl     )   CALL ctl_stop( 'sbc_init : OCE-SAS coupled via OASIS, but ln_mixcpl = T in OCE' )
       CASE DEFAULT
          CALL ctl_stop( 'sbc_init : unsupported value for nn_components' )
@@ -224,5 +224,5 @@
       !
       IF( nn_ice == 0 ) THEN        !* No sea-ice in the domain : ice fraction is always zero
-         IF( nn_components /= jp_iam_opa )   fr_i(:,:) = 0._wp    ! except for OPA in SAS-OPA coupled case
+         IF( nn_components /= jp_iam_oce )   fr_i(:,:) = 0._wp    ! except for OCE in SAS-OCE coupled case
       ENDIF
       !
@@ -237,5 +237,5 @@
       IF( ln_dm2dc ) THEN           !* daily mean to diurnal cycle
          !LB:nday_qsr = -1   ! allow initialization at the 1st call
-         IF( .NOT.( ln_flx .OR. ln_blk .OR. ln_abl ) .AND. nn_components /= jp_iam_opa )   &
+         IF( .NOT.( ln_flx .OR. ln_blk .OR. ln_abl ) .AND. nn_components /= jp_iam_oce )   &
             &   CALL ctl_stop( 'qsr diurnal cycle from daily values requires flux, bulk or abl formulation' )
       ENDIF
@@ -244,5 +244,5 @@
       !
       ll_purecpl  = ln_cpl .AND. .NOT.ln_mixcpl
-      ll_opa      = nn_components == jp_iam_opa
+      ll_opa      = nn_components == jp_iam_oce
       ll_not_nemo = nn_components /= jp_iam_nemo
       icpt = 0
@@ -266,5 +266,5 @@
          CASE( jp_purecpl )   ;   WRITE(numout,*) '   ==>>>   pure coupled formulation'
 !!gm abusive use of jp_none ??   ===>>> need to be check and changed by adding a jp_sas parameter
-         CASE( jp_none    )   ;   WRITE(numout,*) '   ==>>>   OPA coupled to SAS via oasis'
+         CASE( jp_none    )   ;   WRITE(numout,*) '   ==>>>   OCE coupled to SAS via oasis'
             IF( ln_mixcpl )       WRITE(numout,*) '               + forced-coupled mixed formulation'
          END SELECT
@@ -276,13 +276,13 @@
       IF( lk_oasis )   CALL sbc_cpl_init( nn_ice )   ! Must be done before: (1) first time step
       !                                              !                      (2) the use of nn_fsbc
-      !     nn_fsbc initialization if OPA-SAS coupling via OASIS
+      !     nn_fsbc initialization if OCE-SAS coupling via OASIS
       !     SAS time-step has to be declared in OASIS (mandatory) -> nn_fsbc has to be modified accordingly
       IF( nn_components /= jp_iam_nemo ) THEN
-         IF( nn_components == jp_iam_opa )   nn_fsbc = cpl_freq('O_SFLX') / NINT(rn_Dt)
+         IF( nn_components == jp_iam_oce )   nn_fsbc = cpl_freq('O_SFLX') / NINT(rn_Dt)
          IF( nn_components == jp_iam_sas )   nn_fsbc = cpl_freq('I_SFLX') / NINT(rn_Dt)
          !
          IF(lwp)THEN
             WRITE(numout,*)
-            WRITE(numout,*)"   OPA-SAS coupled via OASIS : nn_fsbc re-defined from OASIS namcouple ", nn_fsbc
+            WRITE(numout,*)"   OCE-SAS coupled via OASIS : nn_fsbc re-defined from OASIS namcouple ", nn_fsbc
             WRITE(numout,*)
          ENDIF
@@ -404,5 +404,5 @@
       !
       ll_sas = nn_components == jp_iam_sas               ! component flags
-      ll_opa = nn_components == jp_iam_opa
+      ll_opa = nn_components == jp_iam_oce
       !
       IF( .NOT.ll_sas )   CALL sbc_ssm ( kt, Kbb, Kmm )  ! mean ocean sea surface variables (sst_m, sss_m, ssu_m, ssv_m)
@@ -416,8 +416,8 @@
       CASE( jp_flx     )   ;   CALL sbc_flx       ( kt )                             ! flux formulation
       CASE( jp_blk     )
-         IF( ll_sas    )       CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! OPA-SAS coupling: SAS receiving fields from OPA
+         IF( ll_sas    )       CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! OCE-SAS coupling: SAS receiving fields from OCE
 !!!!!!!!!!! ATTENTION:ln_wave is not only used for oasis coupling !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          IF( ln_wave )   THEN
-             IF ( lk_oasis )  CALL sbc_cpl_rcv ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! OPA-wave coupling
+             IF ( lk_oasis )  CALL sbc_cpl_rcv ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! OCE-wave coupling
              CALL sbc_wave ( kt, Kmm )
          ENDIF
@@ -425,10 +425,10 @@
                                !
       CASE( jp_abl     )
-         IF( ll_sas    )       CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! OPA-SAS coupling: SAS receiving fields from OPA
+         IF( ll_sas    )       CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! OCE-SAS coupling: SAS receiving fields from OCE
                                CALL sbc_abl       ( kt )                    ! ABL  formulation for the ocean
                                !
       CASE( jp_purecpl )   ;   CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )   ! pure coupled formulation
       CASE( jp_none    )
-         IF( ll_opa    )       CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )  ! OPA-SAS coupling: OPA receiving fields from SAS
+         IF( ll_opa    )       CALL sbc_cpl_rcv   ( kt, nn_fsbc, nn_ice, Kbb, Kmm )  ! OCE-SAS coupling: OCE receiving fields from SAS
       END SELECT
       !
Index: /NEMO/trunk/src/OCE/lib_cray.f90
===================================================================
--- /NEMO/trunk/src/OCE/lib_cray.f90	(revision 14226)
+++ /NEMO/trunk/src/OCE/lib_cray.f90	(revision 14227)
@@ -1,3 +1,3 @@
-!  Cray subroutines or functions used by OPA model and possibly 
+!  Cray subroutines or functions used by OCE model and possibly 
 !  not found on other platforms.
 !
Index: /NEMO/trunk/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/OCE/nemogcm.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/nemogcm.F90	(revision 14227)
@@ -589,5 +589,5 @@
       !!                     ***  ROUTINE nemo_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!
       !! ** Method  :
Index: /NEMO/trunk/src/OCE/step.F90
===================================================================
--- /NEMO/trunk/src/OCE/step.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/step.F90	(revision 14227)
@@ -42,5 +42,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   stp             : OPA system time-stepping
+   !!   stp             : OCE system time-stepping
    !!----------------------------------------------------------------------
    USE step_oce         ! time stepping definition modules
@@ -73,5 +73,5 @@
       !!                     ***  ROUTINE stp  ***
       !!
-      !! ** Purpose : - Time stepping of OPA  (momentum and active tracer eqs.)
+      !! ** Purpose : - Time stepping of OCE  (momentum and active tracer eqs.)
       !!              - Time stepping of SI3 (dynamic and thermodynamic eqs.)
       !!              - Time stepping of TRC  (passive tracer eqs.)
Index: /NEMO/trunk/src/OCE/stpmlf.F90
===================================================================
--- /NEMO/trunk/src/OCE/stpmlf.F90	(revision 14226)
+++ /NEMO/trunk/src/OCE/stpmlf.F90	(revision 14227)
@@ -80,5 +80,5 @@
       !!                     ***  ROUTINE stp_MLF  ***
       !!
-      !! ** Purpose : - Time stepping of OPA  (momentum and active tracer eqs.)
+      !! ** Purpose : - Time stepping of OCE  (momentum and active tracer eqs.)
       !!              - Time stepping of SI3 (dynamic and thermodynamic eqs.)
       !!              - Time stepping of TRC  (passive tracer eqs.)
Index: /NEMO/trunk/src/OFF/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/OFF/nemogcm.F90	(revision 14226)
+++ /NEMO/trunk/src/OFF/nemogcm.F90	(revision 14227)
@@ -456,5 +456,5 @@
       !!                     ***  ROUTINE nemo_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!
       !! ** Method  :
Index: /NEMO/trunk/src/SAO/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/SAO/nemogcm.F90	(revision 14226)
+++ /NEMO/trunk/src/SAO/nemogcm.F90	(revision 14227)
@@ -323,5 +323,5 @@
       !!                     ***  ROUTINE nemo_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!
       !! ** Method  :
Index: /NEMO/trunk/src/SAS/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/SAS/nemogcm.F90	(revision 14226)
+++ /NEMO/trunk/src/SAS/nemogcm.F90	(revision 14227)
@@ -391,5 +391,5 @@
 
       ! ==> clem: open boundaries init. is mandatory for sea-ice because ice BDY is not decoupled from  
-      !           the environment of ocean BDY. Therefore bdy is called in both OPA and SAS modules. 
+      !           the environment of ocean BDY. Therefore bdy is called in both OCE and SAS modules. 
       !           This is not clean and should be changed in the future. 
                            CALL bdy_init
@@ -489,5 +489,5 @@
       !!                     ***  ROUTINE nemo_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!
       !! ** Method  :
Index: /NEMO/trunk/src/SAS/step.F90
===================================================================
--- /NEMO/trunk/src/SAS/step.F90	(revision 14226)
+++ /NEMO/trunk/src/SAS/step.F90	(revision 14227)
@@ -12,5 +12,5 @@
 
    !!----------------------------------------------------------------------
-   !!   stp             : OPA system time-stepping
+   !!   stp             : OCE system time-stepping
    !!----------------------------------------------------------------------
    USE oce              ! ocean dynamics and tracers variables
@@ -111,5 +111,5 @@
 
       ! ==> clem: open boundaries is mandatory for sea-ice because ice BDY is not decoupled from  
-      !           the environment of ocean BDY. Therefore bdy is called in both OPA and SAS modules.
+      !           the environment of ocean BDY. Therefore bdy is called in both OCE and SAS modules.
       !           From SAS: ocean bdy data are wrong  (but we do not care) and ice bdy data are OK.  
       !           This is not clean and should be changed in the future. 
Index: /NEMO/trunk/src/SWE/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/SWE/nemogcm.F90	(revision 14226)
+++ /NEMO/trunk/src/SWE/nemogcm.F90	(revision 14227)
@@ -413,5 +413,5 @@
       !!                     ***  ROUTINE nemo_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!
       !! ** Method  :
Index: /NEMO/trunk/src/TOP/trcini.F90
===================================================================
--- /NEMO/trunk/src/TOP/trcini.F90	(revision 14226)
+++ /NEMO/trunk/src/TOP/trcini.F90	(revision 14227)
@@ -209,5 +209,5 @@
       !!                     ***  ROUTINE trc_ini_trp  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!----------------------------------------------------------------------
       USE trcdmp , ONLY:  trc_dmp_ini
@@ -281,5 +281,5 @@
       !!                     ***  ROUTINE top_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!----------------------------------------------------------------------
       USE trc           , ONLY:   trc_alloc
Index: /NEMO/trunk/tests/ICB/MY_SRC/step.F90
===================================================================
--- /NEMO/trunk/tests/ICB/MY_SRC/step.F90	(revision 14226)
+++ /NEMO/trunk/tests/ICB/MY_SRC/step.F90	(revision 14227)
@@ -39,5 +39,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   stp             : OPA system time-stepping
+   !!   stp             : OCE system time-stepping
    !!----------------------------------------------------------------------
    USE step_oce         ! time stepping definition modules
@@ -72,5 +72,5 @@
       !!                     ***  ROUTINE stp  ***
       !!
-      !! ** Purpose : - Time stepping of OPA  (momentum and active tracer eqs.)
+      !! ** Purpose : - Time stepping of OCE  (momentum and active tracer eqs.)
       !!              - Time stepping of SI3 (dynamic and thermodynamic eqs.)
       !!              - Time stepping of TRC  (passive tracer eqs.)
Index: /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14226)
+++ /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14227)
@@ -373,5 +373,5 @@
       !!                     ***  ROUTINE nemo_alloc  ***
       !!
-      !! ** Purpose :   Allocate all the dynamic arrays of the OPA modules
+      !! ** Purpose :   Allocate all the dynamic arrays of the OCE modules
       !!
       !! ** Method  :
Index: /NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 14226)
+++ /NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 14227)
@@ -36,5 +36,5 @@
       !!
       !! ** Purpose :  - Time stepping of SBC including sea ice (dynamic and thermodynamic eqs.)
-      !!               - Time stepping of OPA (momentum and active tracer eqs.)
+      !!               - Time stepping of OCE (momentum and active tracer eqs.)
       !!               - Time stepping of TOP (passive tracer eqs.)
       !!