Index: /utils/build/arch/CMCC/arch-gfortran_athena_xios.fcm
===================================================================
--- /utils/build/arch/CMCC/arch-gfortran_athena_xios.fcm	(revision 14241)
+++ /utils/build/arch/CMCC/arch-gfortran_athena_xios.fcm	(revision 14242)
@@ -9,6 +9,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- /utils/build/arch/CMCC/arch-ifort_athena_xios.fcm	(revision 14241)
+++ /utils/build/arch/CMCC/arch-ifort_athena_xios.fcm	(revision 14242)
@@ -9,6 +9,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/CNRS/arch-X64_IRENE.fcm
===================================================================
--- /utils/build/arch/CNRS/arch-X64_IRENE.fcm	(revision 14241)
+++ /utils/build/arch/CNRS/arch-X64_IRENE.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/CNRS/arch-X64_IRENE_DEBUG.fcm
===================================================================
--- /utils/build/arch/CNRS/arch-X64_IRENE_DEBUG.fcm	(revision 14241)
+++ /utils/build/arch/CNRS/arch-X64_IRENE_DEBUG.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/CNRS/arch-X64_JEANZAY.fcm
===================================================================
--- /utils/build/arch/CNRS/arch-X64_JEANZAY.fcm	(revision 14241)
+++ /utils/build/arch/CNRS/arch-X64_JEANZAY.fcm	(revision 14242)
@@ -6,6 +6,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/CNRS/arch-X64_JEANZAY_DEBUG.fcm
===================================================================
--- /utils/build/arch/CNRS/arch-X64_JEANZAY_DEBUG.fcm	(revision 14241)
+++ /utils/build/arch/CNRS/arch-X64_JEANZAY_DEBUG.fcm	(revision 14242)
@@ -6,6 +6,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/MERCATOR/arch-ifort_beaufix_sette.fcm
===================================================================
--- /utils/build/arch/MERCATOR/arch-ifort_beaufix_sette.fcm	(revision 14241)
+++ /utils/build/arch/MERCATOR/arch-ifort_beaufix_sette.fcm	(revision 14242)
@@ -6,6 +6,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/MERCATOR/arch-ifort_beaufix_sette_debug.fcm
===================================================================
--- /utils/build/arch/MERCATOR/arch-ifort_beaufix_sette_debug.fcm	(revision 14241)
+++ /utils/build/arch/MERCATOR/arch-ifort_beaufix_sette_debug.fcm	(revision 14242)
@@ -6,6 +6,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/MERCATOR/arch-ifort_belenos_xios.fcm
===================================================================
--- /utils/build/arch/MERCATOR/arch-ifort_belenos_xios.fcm	(revision 14241)
+++ /utils/build/arch/MERCATOR/arch-ifort_belenos_xios.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/MERCATOR/arch-ifort_belenos_xios_debug.fcm
===================================================================
--- /utils/build/arch/MERCATOR/arch-ifort_belenos_xios_debug.fcm	(revision 14241)
+++ /utils/build/arch/MERCATOR/arch-ifort_belenos_xios_debug.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- /utils/build/arch/NOC/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-THALASSA.fcm
===================================================================
--- /utils/build/arch/NOC/arch-THALASSA.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-THALASSA.fcm	(revision 14242)
@@ -17,6 +17,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-X64_MOBILIS.fcm
===================================================================
--- /utils/build/arch/NOC/arch-X64_MOBILIS.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-X64_MOBILIS.fcm	(revision 14242)
@@ -20,6 +20,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-X64_MOBILIS_DEBUG.fcm
===================================================================
--- /utils/build/arch/NOC/arch-X64_MOBILIS_DEBUG.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-X64_MOBILIS_DEBUG.fcm	(revision 14242)
@@ -20,6 +20,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-X86_ARCHER2-Cray.fcm
===================================================================
--- /utils/build/arch/NOC/arch-X86_ARCHER2-Cray.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-X86_ARCHER2-Cray.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-XC_ARCHER.fcm
===================================================================
--- /utils/build/arch/NOC/arch-XC_ARCHER.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-XC_ARCHER.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/NOC/arch-XC_ARCHER_INTEL.fcm
===================================================================
--- /utils/build/arch/NOC/arch-XC_ARCHER_INTEL.fcm	(revision 14241)
+++ /utils/build/arch/NOC/arch-XC_ARCHER_INTEL.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/UKMO/arch-XC40_METO.fcm
===================================================================
--- /utils/build/arch/UKMO/arch-XC40_METO.fcm	(revision 14241)
+++ /utils/build/arch/UKMO/arch-XC40_METO.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/UKMO/arch-XC40_METO_IFORT.fcm
===================================================================
--- /utils/build/arch/UKMO/arch-XC40_METO_IFORT.fcm	(revision 14241)
+++ /utils/build/arch/UKMO/arch-XC40_METO_IFORT.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/UKMO/arch-XC40_METO_debug.fcm
===================================================================
--- /utils/build/arch/UKMO/arch-XC40_METO_debug.fcm	(revision 14241)
+++ /utils/build/arch/UKMO/arch-XC40_METO_debug.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/arch-linux_gfortran.fcm
===================================================================
--- /utils/build/arch/arch-linux_gfortran.fcm	(revision 14241)
+++ /utils/build/arch/arch-linux_gfortran.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/arch-linux_ifort.fcm
===================================================================
--- /utils/build/arch/arch-linux_ifort.fcm	(revision 14241)
+++ /utils/build/arch/arch-linux_ifort.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/depr/CNRS/arch-X64_ADA.fcm
===================================================================
--- /utils/build/arch/depr/CNRS/arch-X64_ADA.fcm	(revision 14241)
+++ /utils/build/arch/depr/CNRS/arch-X64_ADA.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/depr/CNRS/arch-X64_ADA_DEBUG.fcm
===================================================================
--- /utils/build/arch/depr/CNRS/arch-X64_ADA_DEBUG.fcm	(revision 14241)
+++ /utils/build/arch/depr/CNRS/arch-X64_ADA_DEBUG.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/depr/CNRS/arch-X64_ADA_O0.fcm
===================================================================
--- /utils/build/arch/depr/CNRS/arch-X64_ADA_O0.fcm	(revision 14241)
+++ /utils/build/arch/depr/CNRS/arch-X64_ADA_O0.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/depr/CNRS/arch-X64_CURIE.fcm
===================================================================
--- /utils/build/arch/depr/CNRS/arch-X64_CURIE.fcm	(revision 14241)
+++ /utils/build/arch/depr/CNRS/arch-X64_CURIE.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/depr/misc/arch-X64_VAYU.fcm
===================================================================
--- /utils/build/arch/depr/misc/arch-X64_VAYU.fcm	(revision 14241)
+++ /utils/build/arch/depr/misc/arch-X64_VAYU.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/depr/misc/arch-X64_YELLOWSTONE.fcm
===================================================================
--- /utils/build/arch/depr/misc/arch-X64_YELLOWSTONE.fcm	(revision 14241)
+++ /utils/build/arch/depr/misc/arch-X64_YELLOWSTONE.fcm	(revision 14242)
@@ -8,6 +8,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 # OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
 # OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
Index: /utils/build/arch/misc/arch-PW7_C2A_XIO.fcm
===================================================================
--- /utils/build/arch/misc/arch-PW7_C2A_XIO.fcm	(revision 14241)
+++ /utils/build/arch/misc/arch-PW7_C2A_XIO.fcm	(revision 14242)
@@ -3,6 +3,6 @@
 # NCDF_INC    netcdf4 include file
 # NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# XIOS_INC    xios include file    (taken into accound only if key_xios is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_xios is activated)
 #
 # FC          Fortran compiler command