Index: NEMO/trunk/src/OCE/CRS/crsdom.F90
===================================================================
--- NEMO/trunk/src/OCE/CRS/crsdom.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/CRS/crsdom.F90	(revision 14275)
@@ -1960,8 +1960,8 @@
            ENDDO
         ENDDO 
-        Nje0_crs  = nje0all_crs(nproc + 1) 
-        jpj_crs   = jpjall_crs (nproc + 1)
-        Njs0_crs  = njs0all_crs(nproc + 1)
-        njmpp_crs = njmppt_crs (nproc + 1)
+        Nje0_crs  = nje0all_crs(narea) 
+        jpj_crs   = jpjall_crs (narea)
+        Njs0_crs  = njs0all_crs(narea)
+        njmpp_crs = njmppt_crs (narea)
 
         ! Calcul suivant un decoupage en i
@@ -2004,8 +2004,8 @@
          ENDDO 
         
-         Nie0_crs  = nie0all_crs(nproc + 1) 
-         jpi_crs   = jpiall_crs (nproc + 1)
-         Nis0_crs  = nis0all_crs(nproc + 1)
-         nimpp_crs = nimppt_crs (nproc + 1)
+         Nie0_crs  = nie0all_crs(narea) 
+         jpi_crs   = jpiall_crs (narea)
+         Nis0_crs  = nis0all_crs(narea)
+         nimpp_crs = nimppt_crs (narea)
 
          DO ji = 1, jpi_crs
@@ -2068,5 +2068,5 @@
          WRITE(numout,*) '~~~~~~~   coarse domain local  j-dimension              jpj = ', jpj
          WRITE(numout,*)
-         WRITE(numout,*) ' nproc  = '     , nproc
+         WRITE(numout,*) ' narea  = '     , narea
          WRITE(numout,*) ' jpi    = '     , jpi
          WRITE(numout,*) ' jpj    = '     , jpj
Index: NEMO/trunk/src/OCE/DOM/dom_oce.F90
===================================================================
--- NEMO/trunk/src/OCE/DOM/dom_oce.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/DOM/dom_oce.F90	(revision 14275)
@@ -86,6 +86,5 @@
    !                             !: domain MPP decomposition parameters
    INTEGER             , PUBLIC ::   nimpp, njmpp     !: i- & j-indexes for mpp-subdomain left bottom
-   INTEGER             , PUBLIC ::   nproc            !: number for local processor
-   INTEGER             , PUBLIC ::   narea            !: number for local area
+   INTEGER             , PUBLIC ::   narea            !: number for local area = MPI rank + 1
    INTEGER             , PUBLIC ::   nbondi, nbondj   !: mark of i- and j-direction local boundaries
    INTEGER, ALLOCATABLE, PUBLIC ::   nbondi_bdy(:)    !: mark i-direction local boundaries for BDY open boundaries
Index: NEMO/trunk/src/OCE/LBC/lib_mpp.F90
===================================================================
--- NEMO/trunk/src/OCE/LBC/lib_mpp.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/LBC/lib_mpp.F90	(revision 14275)
@@ -122,6 +122,4 @@
 #endif
 
-   INTEGER, PARAMETER         ::   nprocmax = 2**10   ! maximun dimension (required to be a power of 2)
-
    INTEGER, PUBLIC ::   mppsize        ! number of process
    INTEGER, PUBLIC ::   mpprank        ! process number  [ 0 - size-1 ]
@@ -1002,7 +1000,7 @@
       !!----------------------------------------------------------------------
 #if ! defined key_mpi_off
-      !-$$     WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - ngrp_world     : ', ngrp_world
-      !-$$     WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - mpi_comm_world : ', mpi_comm_world
-      !-$$     WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - mpi_comm_oce   : ', mpi_comm_oce
+      !-$$     WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - ngrp_world     : ', ngrp_world
+      !-$$     WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - mpi_comm_world : ', mpi_comm_world
+      !-$$     WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - mpi_comm_oce   : ', mpi_comm_oce
       !
       ALLOCATE( kwork(jpnij), STAT=ierr )
@@ -1015,5 +1013,5 @@
          !
          CALL MPI_ALLGATHER ( njmpp, 1, mpi_integer, kwork, 1, mpi_integer, mpi_comm_oce, ierr )
-         !-$$        WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - kwork pour njmpp : ', kwork
+         !-$$        WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - kwork pour njmpp : ', kwork
          !-$$        CALL flush(numout)
          !
@@ -1025,5 +1023,5 @@
             ENDIF
          END DO
-         !-$$        WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - ndim_rank_znl : ', ndim_rank_znl
+         !-$$        WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - ndim_rank_znl : ', ndim_rank_znl
          !-$$        CALL flush(numout)
          ! Allocate the right size to nrank_znl
@@ -1038,20 +1036,20 @@
             ENDIF
          END DO
-         !-$$        WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - nrank_znl : ', nrank_znl
+         !-$$        WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - nrank_znl : ', nrank_znl
          !-$$        CALL flush(numout)
 
          ! Create the opa group
          CALL MPI_COMM_GROUP(mpi_comm_oce,ngrp_opa,ierr)
-         !-$$        WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - ngrp_opa : ', ngrp_opa
+         !-$$        WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - ngrp_opa : ', ngrp_opa
          !-$$        CALL flush(numout)
 
          ! Create the znl group from the opa group
          CALL MPI_GROUP_INCL  ( ngrp_opa, ndim_rank_znl, nrank_znl, ngrp_znl, ierr )
-         !-$$        WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - ngrp_znl ', ngrp_znl
+         !-$$        WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - ngrp_znl ', ngrp_znl
          !-$$        CALL flush(numout)
 
          ! Create the znl communicator from the opa communicator, ie the pool of procs in the same row
          CALL MPI_COMM_CREATE ( mpi_comm_oce, ngrp_znl, ncomm_znl, ierr )
-         !-$$        WRITE (numout,*) 'mpp_ini_znl ', nproc, ' - ncomm_znl ', ncomm_znl
+         !-$$        WRITE (numout,*) 'mpp_ini_znl ', mpprank, ' - ncomm_znl ', ncomm_znl
          !-$$        CALL flush(numout)
          !
Index: NEMO/trunk/src/OCE/LBC/mppini.F90
===================================================================
--- NEMO/trunk/src/OCE/LBC/mppini.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/LBC/mppini.F90	(revision 14275)
@@ -133,5 +133,4 @@
       !!                    nbondi    : mark for "east-west local boundary"
       !!                    nbondj    : mark for "north-south local boundary"
-      !!                    nproc     : number for local processor
       !!                    noea      : number for local neighboring processor
       !!                    nowe      : number for local neighboring processor
@@ -506,5 +505,5 @@
 
       ! just to save nono etc for all proc
-      ! warning ii*ij (zone) /= nproc (processors)!
+      ! warning ii*ij (zone) /= mpprank (processors)!
       ! ioso = zone number, ii_noso = proc number
       ii_noso(:) = -1
@@ -641,8 +640,8 @@
          WRITE(inum,'(6i8,a,3i8,a)') jpnij,jpimax,jpjmax,jpk,jpiglo,jpjglo,&
    &           ' ( local: ',narea,jpi,jpj,' )'
-         WRITE(inum,'(a)') 'nproc   jpi  jpj Nis0 Njs0 Nie0 Nje0 nimp njmp nono noso nowe noea nbondi nbondj '
+         WRITE(inum,'(a)') 'narea   jpi  jpj Nis0 Njs0 Nie0 Nje0 nimp njmp nono noso nowe noea nbondi nbondj '
 
          DO jproc = 1, jpnij
-            WRITE(inum,'(13i5,2i7)')   jproc-1,  jpiall(jproc),  jpjall(jproc),   &
+            WRITE(inum,'(13i5,2i7)')     jproc,  jpiall(jproc),  jpjall(jproc),   &
                &                                nis0all(jproc), njs0all(jproc),   &
                &                                nie0all(jproc), nje0all(jproc),   &
@@ -668,9 +667,8 @@
       ENDIF
       !
-      nproc = narea-1
       IF(lwp) THEN
          WRITE(numout,*)
          WRITE(numout,*) '   resulting internal parameters : '
-         WRITE(numout,*) '      nproc  = ', nproc
+         WRITE(numout,*) '      narea  = ', narea
          WRITE(numout,*) '      nowe   = ', nowe  , '   noea  =  ', noea
          WRITE(numout,*) '      nono   = ', nono  , '   noso  =  ', noso
@@ -1326,5 +1324,5 @@
       ENDIF
       !
-      CALL flio_dom_set ( jpnij, nproc, idid, iglo, iloc, iabsf, iabsl, ihals, ihale, 'BOX', nidom)
+      CALL flio_dom_set ( jpnij, narea-1, idid, iglo, iloc, iabsf, iabsl, ihals, ihale, 'BOX', nidom)
       !
    END SUBROUTINE init_ioipsl
Index: NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90	(revision 14275)
@@ -21,6 +21,5 @@
       & e1t, e2t, &
       & e1f, e2f, &
-      & glamt, gphit, &
-      & nproc
+      & glamt, gphit
    USE in_out_manager
    USE obs_const, ONLY : &
Index: NEMO/trunk/src/OCE/OBS/obs_grid.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_grid.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_grid.F90	(revision 14275)
@@ -130,5 +130,5 @@
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
                   &                             1, jpi, 1, jpj,           &
-                  &                             nproc, jpnij,             &
+                  &                             narea-1, jpnij,           &
                   &                             glamt, gphit, tmask,      &
                   &                             kobsin, plam, pphi,       &
@@ -137,5 +137,5 @@
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
                   &                             1, jpi, 1, jpj,           &
-                  &                             nproc, jpnij,             &
+                  &                             narea-1, jpnij,           &
                   &                             glamu, gphiu, umask,      &
                   &                             kobsin, plam, pphi,       &
@@ -144,5 +144,5 @@
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
                   &                             1, jpi, 1, jpj,           &
-                  &                             nproc, jpnij,             &
+                  &                             narea-1, jpnij,           &
                   &                             glamv, gphiv, vmask,      &
                   &                             kobsin, plam, pphi,       &
@@ -151,5 +151,5 @@
                CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo, &
                   &                             1, jpi, 1, jpj,           &
-                  &                             nproc, jpnij,             &
+                  &                             narea-1, jpnij,           &
                   &                             glamf, gphif, fmask,      &
                   &                             kobsin, plam, pphi,       &
@@ -176,5 +176,5 @@
       !!
       !! ** Action  : Return kproc holding the observation and kiobsi,kobsj
-      !!              valid on kproc=nproc processor only.
+      !!              valid on kproc=narea-1 processor only.
       !!   
       !! History :
@@ -248,5 +248,5 @@
          jlon     = jpiglo
          jlat     = jpjglo
-         joffset  = nproc
+         joffset  = narea-1
          jostride = jpnij
       ELSE
@@ -513,10 +513,10 @@
                         IF ( ABS( zlam - zplam(jo) ) < 1e-6 ) THEN
                            IF ( llinvalidcell(ji,jj) ) THEN
-                              kproc(jo) = nproc + 1000000
+                              kproc(jo) = narea-1 + 1000000
                               kobsi(jo) = ji + 1
                               kobsj(jo) = jj + 1
                               CYCLE
                            ELSE
-                              kproc(jo) = nproc
+                              kproc(jo) = narea-1
                               kobsi(jo) = ji + 1
                               kobsj(jo) = jj + 1
@@ -552,10 +552,10 @@
                            &          zlamtm(:,ji,jj), zphitm(:,ji,jj) ) ) THEN
                            IF ( llinvalidcell(ji,jj) ) THEN
-                              kproc(jo) = nproc + 1000000
+                              kproc(jo) = narea-1 + 1000000
                               kobsi(jo) = ji + 1
                               kobsj(jo) = jj + 1
                               CYCLE
                            ELSE
-                              kproc(jo) = nproc
+                              kproc(jo) = narea-1
                               kobsi(jo) = ji + 1
                               kobsj(jo) = jj + 1
@@ -584,10 +584,10 @@
                            &          zlamtm(:,ji,jj), zphitm(:,ji,jj) ) ) THEN
                            IF ( llinvalidcell(ji,jj) ) THEN
-                              kproc(jo) = nproc + 1000000
+                              kproc(jo) = narea-1 + 1000000
                               kobsi(jo) = ji + 1
                               kobsj(jo) = jj + 1
                               CYCLE
                            ELSE
-                              kproc(jo) = nproc
+                              kproc(jo) = narea-1
                               kobsi(jo) = ji + 1
                               kobsj(jo) = jj + 1
@@ -716,5 +716,5 @@
             ! define the following format: "(a,a,ix.x,a,ix.x,a,ix.x,a)"
             WRITE(clfmt, "('(a,a,i', i1, '.', i1',a,i', i1, '.', i1',a,i', i1, '.', i1',a)')") idg, idg, idg, idg, idg, idg
-            WRITE(cfname,      clfmt     ) TRIM(cn_gridsearchfile),'_', nproc,'of', jpni,'by', jpnj,'.nc'
+            WRITE(cfname,      clfmt     ) TRIM(cn_gridsearchfile),'_', narea-1,'of', jpni,'by', jpnj,'.nc'
          ENDIF
 
@@ -820,5 +820,5 @@
             CALL obs_grd_bruteforce( jpi, jpj, jpiglo, jpjglo,  &
                &                     1, jpi, 1, jpj,            &
-               &                     nproc, jpnij,              &
+               &                     narea-1, jpnij,            &
                &                     glamt, gphit, tmask,       &
                &                     nlons*nlats, lonsi, latsi, &
@@ -1070,5 +1070,5 @@
 
             IF ( ( .NOT. ln_grid_global ) .OR. &
-               & ( ( ln_grid_global ) .AND. ( nproc==0 ) ) ) THEN
+               & ( ( ln_grid_global ) .AND. ( narea-1==0 ) ) ) THEN
 
                CALL chkerr( nf90_create (TRIM(cfname), nf90_clobber, idfile), &
Index: NEMO/trunk/src/OCE/OBS/obs_mpp.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_mpp.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_mpp.F90	(revision 14275)
@@ -18,5 +18,4 @@
    !! obs_mpp_sum_integer   : Sum an integer from all processors
    !!----------------------------------------------------------------------
-   USE dom_oce, ONLY :   nproc, mig, mjg   ! Ocean space and time domain variables
    USE mpp_map, ONLY :   mppmap
    USE in_out_manager
Index: NEMO/trunk/src/OCE/OBS/obs_prep.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_prep.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_prep.F90	(revision 14275)
@@ -62,5 +62,5 @@
       !! * Modules used
       USE par_oce             ! Ocean parameters
-      USE dom_oce, ONLY       :   glamt, gphit, tmask, nproc   ! Geographical information
+      USE dom_oce, ONLY       :   glamt, gphit, tmask   ! Geographical information
       !! * Arguments
       TYPE(obs_surf), INTENT(INOUT) :: surfdata    ! Full set of surface data
@@ -263,6 +263,5 @@
       USE par_oce             ! Ocean parameters
       USE dom_oce, ONLY : &   ! Geographical information
-         & gdept_1d,             &
-         & nproc
+         & gdept_1d
 
       !! * Arguments
Index: NEMO/trunk/src/OCE/OBS/obs_read_prof.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_prof.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_read_prof.F90	(revision 14275)
@@ -404,8 +404,8 @@
                IF ( ( inpfiles(jj)%ptim(ji) >  djulini(jj) ) .AND. &
                   & ( inpfiles(jj)%ptim(ji) <= djulend(jj) )       ) THEN
-                  IF ( nproc == 0 ) THEN
-                     IF ( inpfiles(jj)%iproc(ji,1) >  nproc ) CYCLE
+                  IF ( narea == 1 ) THEN
+                     IF ( inpfiles(jj)%iproc(ji,1) >  narea-1 ) CYCLE
                   ELSE
-                     IF ( inpfiles(jj)%iproc(ji,1) /= nproc ) CYCLE
+                     IF ( inpfiles(jj)%iproc(ji,1) /= narea-1 ) CYCLE
                   ENDIF
                   llvalprof = .FALSE.
@@ -538,8 +538,8 @@
             & ( inpfiles(jj)%ptim(ji) <= djulend(jj) ) ) THEN
 
-            IF ( nproc == 0 ) THEN
-               IF ( inpfiles(jj)%iproc(ji,1) >  nproc ) CYCLE
+            IF ( narea == 1 ) THEN
+               IF ( inpfiles(jj)%iproc(ji,1) >  narea-1 ) CYCLE
             ELSE
-               IF ( inpfiles(jj)%iproc(ji,1) /= nproc ) CYCLE
+               IF ( inpfiles(jj)%iproc(ji,1) /= narea-1 ) CYCLE
             ENDIF
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_surf.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_surf.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_read_surf.F90	(revision 14275)
@@ -300,8 +300,8 @@
                IF ( ( inpfiles(jj)%ptim(ji) >  djulini(jj) ) .AND. &
                   & ( inpfiles(jj)%ptim(ji) <= djulend(jj) )       ) THEN
-                  IF ( nproc == 0 ) THEN
-                     IF ( inpfiles(jj)%iproc(ji,1) >  nproc ) CYCLE
+                  IF ( narea == 1 ) THEN
+                     IF ( inpfiles(jj)%iproc(ji,1) >  narea-1 ) CYCLE
                   ELSE
-                     IF ( inpfiles(jj)%iproc(ji,1) /= nproc ) CYCLE
+                     IF ( inpfiles(jj)%iproc(ji,1) /= narea-1 ) CYCLE
                   ENDIF
                   llvalprof = .FALSE.
@@ -371,8 +371,8 @@
             & ( inpfiles(jj)%ptim(ji) <= djulend(jj) ) ) THEN
 
-            IF ( nproc == 0 ) THEN
-               IF ( inpfiles(jj)%iproc(ji,1) >  nproc ) CYCLE
+            IF ( narea == 1 ) THEN
+               IF ( inpfiles(jj)%iproc(ji,1) >  narea-1 ) CYCLE
             ELSE
-               IF ( inpfiles(jj)%iproc(ji,1) /= nproc ) CYCLE
+               IF ( inpfiles(jj)%iproc(ji,1) /= narea-1 ) CYCLE
             ENDIF
 
Index: NEMO/trunk/src/OCE/OBS/obs_utils.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_utils.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_utils.F90	(revision 14275)
@@ -66,6 +66,4 @@
       !! * Modules used
       USE netcdf             ! NetCDF library
-      USE dom_oce, ONLY : &  ! Ocean space and time domain variables
-         & nproc
 
       !! * Arguments
@@ -102,6 +100,4 @@
       !! * Modules used
       USE netcdf             ! NetCDF library
-      USE dom_oce, ONLY : &  ! Ocean space and time domain variables
-         & nproc
 
       !! * Arguments
Index: NEMO/trunk/src/OCE/OBS/obs_write.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_write.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/OBS/obs_write.F90	(revision 14275)
@@ -210,5 +210,5 @@
       idg = MAX( INT(LOG10(REAL(jpnij,wp))) + 1, 4 )            ! how many digits to we need to write? min=4, max=9
       WRITE(clfmt, "('(a,a,i', i1, '.', i1, ',a)')") idg, idg   ! '(a,a,ix.x,a)'
-      WRITE(clfname,clfmt) TRIM(clfiletype), '_fdbk_', nproc, '.nc'
+      WRITE(clfname,clfmt) TRIM(clfiletype), '_fdbk_', narea-1, '.nc'
 
       IF(lwp) THEN
@@ -475,5 +475,5 @@
       idg = MAX( INT(LOG10(REAL(jpnij,wp))) + 1, 4 )            ! how many digits to we need to write? min=4, max=9
       WRITE(clfmt, "('(a,a,i', i1, '.', i1, ',a)')") idg, idg   ! '(a,a,ix.x,a)'
-      WRITE(clfname,clfmt) TRIM(clfiletype), '_fdbk_', nproc, '.nc'
+      WRITE(clfname,clfmt) TRIM(clfiletype), '_fdbk_', narea-1, '.nc'
 
       IF(lwp) THEN
Index: NEMO/trunk/src/OCE/SBC/sbcice_cice.F90
===================================================================
--- NEMO/trunk/src/OCE/SBC/sbcice_cice.F90	(revision 14255)
+++ NEMO/trunk/src/OCE/SBC/sbcice_cice.F90	(revision 14275)
@@ -877,5 +877,5 @@
 ! (may be OK but not 100% sure)
 
-      IF(nproc==0) THEN     
+      IF(narea==1) THEN     
 !        pcg(:,:)=0.0
          DO jn=1,jpnij
@@ -998,5 +998,5 @@
 ! the lbclnk call on pn will replace these with sensible values
 
-      IF(nproc==0) THEN
+      IF(narea==1) THEN
          png(:,:,:)=0.0
          DO jn=1,jpnij